# SRC/superlu_enum_consts.h File Reference

enum constants header file More...

Go to the source code of this file.

## Enumerations
enum | yes_no_t { NO, YES }
enum | fact_t { DOFACT, SamePattern, SamePattern_SameRowPerm, FACTORED }
enum | rowperm_t { NOROWPERM, LargeDiag, MY_PERMR }
enum | colperm_t { NATURAL, MMD_ATA, MMD_AT_PLUS_A, COLAMD, METIS_AT_PLUS_A, PARMETIS, ZOLTAN, MY_PERMC }
enum | trans_t { NOTRANS, TRANS, CONJ }
enum | DiagScale_t { NOEQUIL, ROW, COL, BOTH }
enum | IterRefine_t { NOREFINE, SINGLE = 1, DOUBLE, EXTRA }
enum | MemType { LUSUP, UCOL, LSUB, USUB, LLVL, ULVL }
enum | stack_end_t { HEAD, TAIL }
enum | LU_space_t { SYSTEM, USER }
enum | norm_t { ONE_NORM, TWO_NORM, INF_NORM }
enum | milu_t { SILU, SMILU_1, SMILU_2, SMILU_3 }
enum | PhaseType { COLPERM, ROWPERM, RELAX, ETREE, EQUIL, SYMBFAC, DIST, FACT, COMM, SOL_COMM, RCOND, SOLVE, REFINE, FLOAT, TRSV, GEMV, FERR, NPHASES }

## Detailed Description

-- SuperLU routine (version 4.1) -- Lawrence Berkeley National Lab, Univ. of California Berkeley, October 1, 2010

## Enumeration Type Documentation

enum colperm_t

Enumerator:

  NATURAL |
  MMD_ATA |
  MMD_AT_PLUS_A |
  COLAMD |
  METIS_AT_PLUS_A |
  PARMETIS |
  ZOLTAN |
  MY_PERMC |

enum DiagScale_t

Enumerator:

  NOEQUIL |
  ROW |
  COL |
  BOTH |

enum fact_t

Enumerator:

  DOFACT |
  SamePattern |
  SamePattern_SameRowPerm |
  FACTORED |

enum IterRefine_t

Enumerator:

  NOREFINE |
  SINGLE |
  DOUBLE |
  EXTRA |

enum LU_space_t

Enumerator:

  SYSTEM |
  USER |

enum MemType

Enumerator:

  LUSUP |
  UCOL |
  LSUB |
  USUB |
  LLVL |
  ULVL |

enum milu_t

Enumerator:

  SILU |
  SMILU_1 |
  SMILU_2 |
  SMILU_3 |

enum norm_t

Enumerator:

  ONE_NORM |
  TWO_NORM |
  INF_NORM |

enum PhaseType

Enumerator:

  COLPERM |
  ROWPERM |
  RELAX |
  ETREE |
  EQUIL |
  SYMBFAC |
  DIST |
  FACT |
  COMM |
  SOL_COMM |
  RCOND |
  SOLVE |
  REFINE |
  FLOAT |
  TRSV |
  GEMV |
  FERR |
  NPHASES |

enum rowperm_t

Enumerator:

  NOROWPERM |
  LargeDiag |
  MY_PERMR |

enum stack_end_t

Enumerator:

  HEAD |
  TAIL |

enum trans_t

Enumerator:

  NOTRANS |
  TRANS |
  CONJ |

enum yes_no_t

Enumerator:

  NO |
  YES |